
import random
import arrow
import pandas as pd

def random_datetime(arg1, arg2):
    """
    Generate a random datetime between two dates using Arrow and Pandas.
    
    Args:
    arg1 (arrow.Arrow): The start date.
    arg2 (arrow.Arrow): The end date.
    
    Returns:
    arrow.Arrow: A random datetime between the start and end dates.
    """
    start = arrow.get(arg1)
    end = arrow.get(arg2)
    random_seconds = random.randint(0, (end - start).seconds)
    random_datetime = start.shift(seconds=random_seconds)
    return random_datetime



